#!/usr/bin/make -f

export PYBUILD_NAME=mpmath
export PYBUILD_BEFORE_TEST = cp conftest.py {build_dir}; \
	export HOME={home_dir}; \
	touch {home_dir}/.python_history
export PYBUILD_AFTER_TEST = rm {build_dir}/conftest.py; \
	rm {home_dir}/.python_history

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. sphinx-build -W --keep-going -b html docs build/sphinx/html

override_dh_installchangelogs:
	dh_installchangelogs    CHANGES

override_dh_installexamples:
	dh_installexamples      -ppython-mpmath-doc demo/*

override_dh_compress:
	dh_compress             -X.py -X.js -Xobjects.inv -X.txt

before-pybuild-autopkgtest:
	mkdir -p $(AUTOPKGTEST_TMP)/build/mpmath
	cp -r mpmath/tests $(AUTOPKGTEST_TMP)/build/mpmath

# TODO: go back to using this file from python-sympy-doc
# https://bugs.debian.org/1084813
debian/sympy/objects.inv:
	mkdir -p $(@D)
	cd $(@D) && wget https://docs.sympy.org/latest/$(@F)
